weka.core.pmml.jaxbbindings

## Enum TIMEANCHOR2

- java.lang.Object
- - java.lang.Enum<TIMEANCHOR2>
  - - weka.core.pmml.jaxbbindings.TIMEANCHOR2

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TIMEANCHOR2>

      public enum TIMEANCHOR2
      extends java.lang.Enum<TIMEANCHOR2>

  Java class for TIME-ANCHOR.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="TIME-ANCHOR">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="dateTimeMillisecondsSince[0]"/>
           <enumeration value="dateTimeMillisecondsSince[1960]"/>
           <enumeration value="dateTimeMillisecondsSince[1970]"/>
           <enumeration value="dateTimeMillisecondsSince[1980]"/>
           <enumeration value="dateTimeSecondsSince[0]"/>
           <enumeration value="dateTimeSecondsSince[1960]"/>
           <enumeration value="dateTimeSecondsSince[1970]"/>
           <enumeration value="dateTimeSecondsSince[1980]"/>
           <enumeration value="dateDaysSince[0]"/>
           <enumeration value="dateDaysSince[1960]"/>
           <enumeration value="dateDaysSince[1970]"/>
           <enumeration value="dateDaysSince[1980]"/>
           <enumeration value="dateMonthsSince[0]"/>
           <enumeration value="dateMonthsSince[1960]"/>
           <enumeration value="dateMonthsSince[1970]"/>
           <enumeration value="dateMonthsSince[1980]"/>
           <enumeration value="dateYearsSince[0]"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE_DAYS_SINCE_0`
    `DATE_DAYS_SINCE_1960`
    `DATE_DAYS_SINCE_1970`
    `DATE_DAYS_SINCE_1980`
    `DATE_MONTHS_SINCE_0`
    `DATE_MONTHS_SINCE_1960`
    `DATE_MONTHS_SINCE_1970`
    `DATE_MONTHS_SINCE_1980`
    `DATE_TIME_MILLISECONDS_SINCE_0`
    `DATE_TIME_MILLISECONDS_SINCE_1960`
    `DATE_TIME_MILLISECONDS_SINCE_1970`
    `DATE_TIME_MILLISECONDS_SINCE_1980`
    `DATE_TIME_SECONDS_SINCE_0`
    `DATE_TIME_SECONDS_SINCE_1960`
    `DATE_TIME_SECONDS_SINCE_1970`
    `DATE_TIME_SECONDS_SINCE_1980`
    `DATE_YEARS_SINCE_0`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TIMEANCHOR2` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static TIMEANCHOR2` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TIMEANCHOR2[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATE_DAYS_SINCE_0

          public static final TIMEANCHOR2 DATE_DAYS_SINCE_0

    - #### DATE_DAYS_SINCE_1960

          public static final TIMEANCHOR2 DATE_DAYS_SINCE_1960

    - #### DATE_DAYS_SINCE_1970

          public static final TIMEANCHOR2 DATE_DAYS_SINCE_1970

    - #### DATE_DAYS_SINCE_1980

          public static final TIMEANCHOR2 DATE_DAYS_SINCE_1980

    - #### DATE_MONTHS_SINCE_0

          public static final TIMEANCHOR2 DATE_MONTHS_SINCE_0

    - #### DATE_MONTHS_SINCE_1960

          public static final TIMEANCHOR2 DATE_MONTHS_SINCE_1960

    - #### DATE_MONTHS_SINCE_1970

          public static final TIMEANCHOR2 DATE_MONTHS_SINCE_1970

    - #### DATE_MONTHS_SINCE_1980

          public static final TIMEANCHOR2 DATE_MONTHS_SINCE_1980

    - #### DATE_TIME_MILLISECONDS_SINCE_0

          public static final TIMEANCHOR2 DATE_TIME_MILLISECONDS_SINCE_0

    - #### DATE_TIME_MILLISECONDS_SINCE_1960

          public static final TIMEANCHOR2 DATE_TIME_MILLISECONDS_SINCE_1960

    - #### DATE_TIME_MILLISECONDS_SINCE_1970

          public static final TIMEANCHOR2 DATE_TIME_MILLISECONDS_SINCE_1970

    - #### DATE_TIME_MILLISECONDS_SINCE_1980

          public static final TIMEANCHOR2 DATE_TIME_MILLISECONDS_SINCE_1980

    - #### DATE_TIME_SECONDS_SINCE_0

          public static final TIMEANCHOR2 DATE_TIME_SECONDS_SINCE_0

    - #### DATE_TIME_SECONDS_SINCE_1960

          public static final TIMEANCHOR2 DATE_TIME_SECONDS_SINCE_1960

    - #### DATE_TIME_SECONDS_SINCE_1970

          public static final TIMEANCHOR2 DATE_TIME_SECONDS_SINCE_1970

    - #### DATE_TIME_SECONDS_SINCE_1980

          public static final TIMEANCHOR2 DATE_TIME_SECONDS_SINCE_1980

    - #### DATE_YEARS_SINCE_0

          public static final TIMEANCHOR2 DATE_YEARS_SINCE_0

  - ### Method Detail

    - #### values

          public static TIMEANCHOR2[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TIMEANCHOR2 c : TIMEANCHOR2.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TIMEANCHOR2 valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static TIMEANCHOR2 fromValue(java.lang.String v)